Package ru.bitel.bgbilling.kernel.script.server.bean

# Class ScriptBackupManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ScriptBackup>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ScriptBackup>
ru.bitel.bgbilling.kernel.script.server.bean.ScriptBackupManager

public class ScriptBackupManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ScriptBackup>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptBackupManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteBackups(int scriptId, int type)`
  Удаляем все бэкапы скрипта.
  `protected ScriptBackup`
  `getFromRS(ResultSet rs)`
  `List<ScriptBackup>`
  `list(int scriptId, int type)`
  `protected void`
  `updateImpl(ScriptBackup scriptBackup)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptBackupManager

    public ScriptBackupManager(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(ScriptBackup scriptBackup) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ScriptBackup>`
    Throws:
      `SQLException`

  - ### list

    public List<ScriptBackup> list(int scriptId, int type) throws SQLException
    Throws:
      `SQLException`

  - ### deleteBackups

    public void deleteBackups(int scriptId, int type) throws SQLException
    Удаляем все бэкапы скрипта.
    Parameters:
      `scriptId` - код скрипта.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected ScriptBackup getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ScriptBackup>`
    Throws:
      `SQLException`